| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XSParticle Class Reference Inheritance diagram for XSParticle: [legend] Collaboration diagram for XSParticle: [legend] List of all members.
## Public Types
enum | TERM_TYPE { TERM_EMPTY = 0, TERM_ELEMENT = XSConstants::ELEMENT_DECLARATION, TERM_MODELGROUP = XSConstants::MODEL_GROUP_DEFINITION, TERM_WILDCARD = XSConstants::WILDCARD }
## Public Methods
Constructors
| XSParticle (TERM_TYPE termType, XSModel *const xsModel, XSObject *const particleTerm, int minOccurs, int maxOccurs, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSParticle ()
XSParticle methods
int | getMinOccurs () const
| [min occurs]: determines the minimum number of terms that can occur. More...
int | getMaxOccurs () const
| [max occurs] determines the maximum number of terms that can occur. More...
bool | getMaxOccursUnbounded () const
| [max occurs] whether the maxOccurs value is unbounded. More...
TERM_TYPE | getTermType () const
| Returns the type of the [term]: one of TERM_EMPTY, TERM_ELEMENT, TERM_MODELGROUP, or TERM_WILDCARD. More...
XSElementDeclaration * | getElementTerm ()
| If this particle has an [element declaration] for its term, this method returns that declaration; otherwise, it returns 0. More...
XSModelGroup * | getModelGroupTerm ()
| If this particle has a [model group] for its term, this method returns that definition; otherwise, it returns 0. More...
XSWildcard * | getWildcardTerm ()
| If this particle has an [wildcard] for its term, this method returns that declaration; otherwise, it returns 0. More...
## Protected Attributes
TERM_TYPE | fTermType
int | fMinOccurs
int | fMaxOccurs
XSObject * | fTerm
## Member Enumeration Documentation
enum XSParticle::TERM_TYPE
  | Enumeration values:
  TERM_EMPTY |
  TERM_ELEMENT |
  TERM_MODELGROUP |
  TERM_WILDCARD |
## Constructor & Destructor Documentation
XSParticle::XSParticle | ( | TERM_TYPE | termType,
|  | XSModel *const | xsModel,
|  | XSObject *const | particleTerm,
|  | int | minOccurs,
|  | int | maxOccurs,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |
  | The default constructor. Parameters:
  termType |
  xsModel |
  particleTerm |
  minOccurs |
  maxOccurs |
  manager | The configurable memory manager
XSParticle::~XSParticle | ( |  | ) |
## Member Function Documentation
XSElementDeclaration* XSParticle::getElementTerm | ( |  | ) |
| If this particle has an [element declaration] for its term, this method returns that declaration; otherwise, it returns 0. Returns: The element declaration that is the [term] of this Particle if and only if getTermType() == TERM_ELEMENT.
int XSParticle::getMaxOccurs | ( |  | ) | const
| [max occurs] determines the maximum number of terms that can occur. To query for value of unbounded use `maxOccursUnbounded`.
bool XSParticle::getMaxOccursUnbounded | ( |  | ) | const
| [max occurs] whether the maxOccurs value is unbounded.
int XSParticle::getMinOccurs | ( |  | ) | const
| [min occurs]: determines the minimum number of terms that can occur.
XSModelGroup* XSParticle::getModelGroupTerm | ( |  | ) |
| If this particle has a [model group] for its term, this method returns that definition; otherwise, it returns 0. Returns: The model group that is the [term] of this Particle if and only if getTermType() == TERM_MODELGROUP.
XSParticle::TERM_TYPE XSParticle::getTermType | ( |  | ) | const
| Returns the type of the [term]: one of TERM_EMPTY, TERM_ELEMENT, TERM_MODELGROUP, or TERM_WILDCARD.
XSWildcard* XSParticle::getWildcardTerm | ( |  | ) |
| If this particle has an [wildcard] for its term, this method returns that declaration; otherwise, it returns 0. Returns: The wildcard declaration that is the [term] of this Particle if and only if getTermType() == TERM_WILDCARD.
## Member Data Documentation
int XSParticle::fMaxOccurs`[protected]`
int XSParticle::fMinOccurs`[protected]`
XSObject* XSParticle::fTerm`[protected]`
TERM_TYPE XSParticle::fTermType`[protected]`
The documentation for this class was generated from the following file: XSParticle.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.